


<div class="card" >


   <!-- <div class="ibox-title mb-2">

      <div class="ibox-title-child" style="display: inline-block">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.TITLE'|translate}}</div>
    </div> -->
   <div class="card-body p-2">
               <table class="table" *ngFor="let task of taskList " >
                  <tbody>
                    <tr>
                      <th class="col-md-5" scope="row">{{task.subject}}</th>
                      <td class="col-md-3" >{{task.due_date | date : pipeParameters.date.formatNoTime}}</td>
                      <td   class="col-md-1"  [ngStyle]="task.status === 'A_FAIRE'  ? { color:'blue' } : task.status === 'EN_COURS' ? { color:'gold' } : { color:'red' }">{{task.status}}</td>
                    </tr>  
                  </tbody>
                </table>

      <!-- no data found msg -->
      <div *ngIf="(!taskList || taskList.length === 0) "
            class="alert alert-primary text-center" role="alert">
         <div class="iq-alert-icon text-center">
               <i class="ri-information-line"></i>
         </div>
         <div class="iq-alert-text">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.NO_DATA'|translate}}</div>
      </div>

   </div>
</div>
